Bug 130174 - audit_get_result() needs to return negative error codes on IA64 platforms
audit_get_result() needs to return negative error codes on IA64 platforms
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Martuccelli
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-08-17 14:31 EDT by Peter Martuccelli
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-20 15:55:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Martuccelli 2004-08-17 14:31:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)

Description of problem:
The audit_get_results() function needs to check the return status of
the syscall, if an error is indicated then the return code needs to be
negative.  On error the current return code is positive.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Examine the return code of a failed syscall on an ia64 platform
2.The syscall will have failed, but the return code is positive

Additional info:
Comment 1 Ernie Petrides 2004-08-19 19:16:46 EDT
Peter, is this really a kernel bug?  There is no kernel function
named audit_get_results(), so I was wondering if you meant for the
component to be assigned to "laus".  I'll let you handle this one.
Comment 2 Peter Martuccelli 2004-08-25 14:58:34 EDT
My bad - singular, audit_get_result() used in the drivers/audit
syscall routines.

Comment 3 Ernie Petrides 2004-09-14 20:09:14 EDT
A fix for this problem has just been committed to the RHEL3 U4
patch pool this evening (in kernel version 2.4.21-20.6.EL).
Comment 4 John Flanagan 2004-12-20 15:55:55 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.